package com.diagbot.client.hystrix;



import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.diagbot.client.MedAppealExamineInfoServiceClient;
import com.diagbot.dto.*;
import com.diagbot.entity.QcresultDetail;
import com.diagbot.vo.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;
/**
 * @description: 申诉远程调用熔断器
 * @author: zhoutg
 * @date: 2020/4/13 18:23
 */
@Component
@Slf4j
public class MedAppealExamineInfoServiceHystrix implements MedAppealExamineInfoServiceClient {

    @Override
    public CommonResult<Page<GetComplaintRecordDTO>> getComplaintRecord(@RequestBody GetComplaintRecordVO getComplaintRecordVO) {
        log.error("【hystrix】调用{}异常", "getComplaintRecord");
        return null;
    }

    @Override
    public CommonResult<Page<GetAppealReviewDTO>> getAppealReview(@RequestBody GetAppealReviewVO getAppealReviewVO) {
        log.error("【hystrix】调用{}异常", "getAppealReview");
        return null;
    }


    @Override
    public CommonResult<Boolean> approved( @RequestBody ApprovedVo approvedVo) {
        log.error("【hystrix】调用{}异常", "approved");
        return null;
    }

    @Override
    public CommonResult<Boolean> rejected( @RequestBody RejectedVo rejectedVo) {
        log.error("【hystrix】调用{}异常", "rejected");
        return null;
    }
    @Override
    public CommonResult<GetAppealInfoDTO> getApprovedView( @RequestBody GetAppealInfoVO getAppealInfoVO) {
        log.error("【hystrix】调用{}异常", "getApprovedView");
        return null;
    }
    @Override
    public CommonResult<Integer> getAuditNumber( @RequestBody GetAuditNumberVO getAuditNumberVO) {
        log.error("【hystrix】调用{}异常", "getAuditNumberVO");
        return null;
    }

    @Override
    public CommonResult<QcresultDetail> getComplaintDetailMsg(@RequestBody GetComplaintDetailMsgVO getComplaintDetailMsgVO) {
        log.error("【hystrix】调用{}异常", "getComplaintDetailMsg");
        return null;
    }

}
